<?php

namespace Drupal\uswds_alert;

use Drupal\sitewide_alert\SitewideAlertRendererInterface;

/**
 * USWDS Alert placeholder render array builder service.
 *
 * Used by blocks.
 */
interface UswdsAlertRendererInterface extends SitewideAlertRendererInterface {

  /**
   * Builds a render array for the block.
   *
   * @param string $block_id
   *   The block ID to build.
   * @param bool $adminAware
   *   Whether to show the alert on admin pages.
   *
   * @return array
   *   The render array.
   */
  public function buildBlock(string $block_id, bool $adminAware = TRUE): array;

}
